package com.iamberry.wechat.core.entity.product;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年9月19日
 * @explain	产品类型实体类
 */
public class ProductType implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer typeId;								// ID
	
	private String typeName;							// 类型名称
	
	private String typeDetilas;							// 简介
	
	private Date typeCreateDate;						// 创建时间
	
	private Date typeUpdateDate;						// 更新时间
	
	private Integer typeState;							// 状态 默认 1：使用中 2：停用 3：删除

	private List<ProductChildType> childTypeList;		//子类型集合

	public Integer getTypeId() {
		return typeId;
	}

	public void setTypeId(Integer typeId) {
		this.typeId = typeId;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public String getTypeDetilas() {
		return typeDetilas;
	}

	public void setTypeDetilas(String typeDetilas) {
		this.typeDetilas = typeDetilas;
	}

	public Date getTypeCreateDate() {
		return typeCreateDate;
	}

	public void setTypeCreateDate(Date typeCreateDate) {
		this.typeCreateDate = typeCreateDate;
	}

	public Date getTypeUpdateDate() {
		return typeUpdateDate;
	}

	public void setTypeUpdateDate(Date typeUpdateDate) {
		this.typeUpdateDate = typeUpdateDate;
	}

	public Integer getTypeState() {
		return typeState;
	}

	public void setTypeState(Integer typeState) {
		this.typeState = typeState;
	}

	public List<ProductChildType> getChildTypeList() {
		return childTypeList;
	}

	public void setChildTypeList(List<ProductChildType> childTypeList) {
		this.childTypeList = childTypeList;
	}
}
